/*
 * \brief  Test client for the Hello RPC interface
 * \author Björn Döbel
 * \date   2008-03-20
 */

/*
 * Copyright (C) 2008-2011 Genode Labs GmbH
 *
 * This file is part of the Genode OS framework, which is distributed
 * under the terms of the GNU General Public License version 2.
 */

#include <base/env.h>
#include <base/printf.h>
#include <hello_session/client.h>
#include <timer_session/connection.h>
#include <hello_session/connection.h>

using namespace Genode;

int len(char *str)
{
	int i=0;
	while(str[i++] != '\0');
	return i;

};

int main(void)
{
	Hello::Connection h;

	Timer::Connection timer;
	char result[100];
        int i;
	while (1) {
		h.say_hello();
		timer.msleep(1000);

		int foo = h.add(2, 5);
		PDBG("Added 2 + 5 = %d", foo);
		timer.msleep(1000);
               
		char m[]= "pruthivi";
                h.message(m);
                //for(i=0;i<len(m);i++)
	//	{
          //      	result[i]=h.message(m[i]);
	        	
            //    }
              //  result[i]='\0';
		PDBG("Encrypted message from client:%s",m);
   	        timer.msleep(1000);
		
	}

	return 0;
}
